Bug 140117 - EDITING Retain turned off first/left/right headers
Summary: EDITING Retain turned off first/left/right headers
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Dániel Arató (NISZ)
URL:
Whiteboard: target:7.2.0
Keywords:
: 140625 (view as bug list)
Depends on:
Blocks: DOCX-Header-Footer 69635
  Show dependency treegraph
 
Reported: 2021-02-03 10:17 UTC by NISZ LibreOffice Team
Modified: 2021-03-09 14:21 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from Writer with first/left/right headers (19.02 KB, application/vnd.oasis.opendocument.text)
2021-02-03 10:18 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document in Writer (101.60 KB, image/png)
2021-02-03 10:18 UTC, NISZ LibreOffice Team
Details
Screenshot of the modified document after process A in Writer (71.09 KB, image/png)
2021-02-03 10:19 UTC, NISZ LibreOffice Team
Details
Screenshot of the modified document after process B in Writer (59.73 KB, image/png)
2021-02-03 10:19 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-02-03 10:17:31 UTC
Adding custom contents to first/left/right headers is possible, but these custom contents are lost if the user decides to disable the first/left/right headers, then re-enables them.

Steps to reproduce:
    1. Open attached document. It contains custom first/left/right headers.

    2. Process A:
    3. On the first page select Format Header from the headers blue menu
    4. On the Header tab check “Same content on first page”, OK
    5. The first pages header becomes a Right Page Header. 
    6. Select Format Header from the first page headers blue menu.
    7. Delete “Same content on first page”, OK

    8. Process B with the same initial file:
    9. On the first page select Format Header from the headers blue menu
    10. On the Header tab check “Same content on left and right pages”, OK
    11. The second pages header becomes a Header (Default Page Style)
    12. Select Format Header from the first page headers blue menu.
    13. Delete “Same content on left and right pages”, OK 

Actual results:
Process A:
The first pages header becomes a First Page Header again, but its contents will stay the same as the Right Page Header.

Process B:
The second pages header becomes a “Left Page Header” style, but its contents will stay the same as the Right Page Header.

Expected results:
Process A:
The first pages header should retain the custom contents even if it’s disabled during editing.

Process B:
The second pages header should retain the custom contents even if it’s disabled during editing.

This behavior is similar to what Word does and necessary to have for solving bug #69635.

LibreOffice details:
Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 318d384c596c1593667d6c936f55bf6ebd0c5db6
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: en-US (hu_HU); UI: en-GB
Calc: CL
Comment 1 NISZ LibreOffice Team 2021-02-03 10:18:24 UTC
Created attachment 169415 [details]
Example file from Writer with first/left/right headers
Comment 2 NISZ LibreOffice Team 2021-02-03 10:18:52 UTC
Created attachment 169416 [details]
Screenshot of the original document in Writer
Comment 3 NISZ LibreOffice Team 2021-02-03 10:19:10 UTC
Created attachment 169417 [details]
Screenshot of the modified document after process A in Writer
Comment 4 NISZ LibreOffice Team 2021-02-03 10:19:26 UTC
Created attachment 169418 [details]
Screenshot of the modified document after process B in Writer
Comment 5 Dieter 2021-02-21 11:02:11 UTC
I confirm the described behaviour, but for me this is also the expectd behaviour. So I agree, that this is an enhancement request.

CC: Design-Team for further input and decision
Comment 6 Heiko Tietze 2021-02-22 08:58:15 UTC
I believe loosing content by changing the style is a major annoyance for many users. It would be a great enhancement if the previous value is remembered.

Switching left/right has been considered but I also wonder if we should store the content in the document. Besides the question whether ODF supports this, I see a privacy issue when hidden content is stored in the document. So maybe it's good to not store it.
Comment 7 NISZ LibreOffice Team 2021-02-24 12:14:35 UTC
*** Bug 140625 has been marked as a duplicate of this bug. ***
Comment 8 Commit Notification 2021-03-02 10:10:58 UTC
Daniel Arato (NISZ) committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f5dc6b11d2218d94c9effe7a1ab418d0133da5e3

tdf#140117 sw UI: keep headers/footers when inactive

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 NISZ LibreOffice Team 2021-03-09 14:21:15 UTC
Verified in:

Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 72841008bf422dfd8553240b3a78f0474d03523c
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded Jumbo